{
"error": "No Entity found",
"code": "NOT_FOUND"
}
When you want to delegate the payment term selection and order detail collection to Tilta’s hosted checkout experience, start by creating a draft order. A draft order requires only your identifiers – Tilta’s checkout session handles gathering amounts, line items, and payment term preferences directly from the buyer. Once the buyer completes checkout, the draft order is promoted to a standard order and you receive a webhook notification with the finalized details.
After creating a draft order, call the Create Checkout Session endpoint to generate
the hosted checkout URL or JWT token to present to the buyer.
draft orders that are never completed by the buyer will remain in DRAFT status. Tilta does not automatically expire Draft
orders – implement your own cleanup logic if needed.
Authorizations
Authorization
string
header
required
Your Tilta API key, sent as Bearer <key>.
Body
application/json
Order to be created.
external_id
string
required
Unique identifier of an order.
Maximum string length: 100
Pattern: ^[a-zA-Z0-9-_]+$
buyer_external_id
string
required
Unique identifier of a buyer.
Maximum string length: 100
Pattern: ^[a-zA-Z0-9-_]+$
amount
object
required
Show child attributes
merchant_external_id
string
Unique identifier of a merchant. Optional only for Single-merchant platforms.
Maximum string length: 100
Pattern: ^[a-zA-Z0-9-_]+$
comment
string | null
Additional order comment added below the order summary in related communication with the buyer.
Example:
"For Daniel without tomatoes"
custom_data
object | null
Free-form metadata for storing integration-specific data alongside this order.
Show child attributes
line_items
object[]
Order line items. Please do not merge line items but provide them individually to allow for subsequent correlation with invoices.
Show child attributes
contact_email
string<email> | null
Order-specific contact email address, used if different from the main buyer email. This allows merchants to specify which individual or entity should be contacted about this specific order.
Example:
"john.doe@example.com"
Response
Order has been successfully created.
external_id
string
required
Unique identifier of an order.
Maximum string length: 100
Pattern: ^[a-zA-Z0-9-_]+$
status
enum<string>
required
Order status.
Available options:
DRAFT,
CANCELLED,
CLOSED,
PENDING_CONFIRMATION,
CONFIRMED,
EXPIRED
buyer_external_id
string
required
Unique identifier of a related buyer.
Maximum string length: 100
Pattern: ^[a-zA-Z0-9-_]+$
created_at
number
required
Timestamp indicating when the order was created (unix time in seconds).
Example:
1582896122
updated_at
number
required
Timestamp indicating the last time the order was updated (unix time in seconds).
Example:
1582896122
merchant_external_id
string
required
Unique identifier of a related merchant.
Maximum string length: 100
Pattern: ^[a-zA-Z0-9-_]+$
ordered_at
integer
required
Order creation date (unix time in seconds). It cannot be in the future
payment_method
enum<string>
required
The chosen payment method for a respective order. Available payment methods depend on a number of criteria. Check the paymentterms endpoint for available options. May be left empty if the payment method has not been chosen yet.
Available options:
CASH,
CARD,
TRANSFER,
DEBIT
Example:
"TRANSFER"
payment_term
enum<string>
required
The chosen payment term for a respective order. Available payment terms depend on a number of criteria. Check the payment_terms endpoint for available options
Available options:
PREPAYMENT,
DEFER_3D,
DEFER_7D,
DEFER_14D,
DEFER_21D,
DEFER_30D,
DEFER_45D,
DEFER_60D,
DEFER_75D,
DEFER_90D,
DEFER_120D,
SPLIT_3M,
SPLIT_6M
Example:
"DEFER_30D"
amount
object
required
Show child attributes
buyer
object
Show child attributes
comment
string | null
Additional order comment added below the order summary in related communication with the buyer.
Example:
"For Daniel without tomatoes"
delivery_address
object | null
Delivery or shipping address for orders of goods.
Show child attributes
custom_data
object | null
Free-form metadata for storing integration-specific data alongside this order.
Show child attributes
line_items
object[]
Order line items. Please do not merge line items but provide them individually to allow for subsequent correlation with invoices.
Show child attributes
contact_email
string<email> | null
Order-specific contact email address, used if different from the main buyer email. This allows merchants to specify which individual or entity should be contacted about this specific order.
Example:
"john.doe@example.com"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tilta","colors":{"primary":"#7563E4","light":"#8A7AFE","dark":"#7563E4"},"logo":{"light":"https://mintcdn.com/tilta/9uQVAt1ClfFJqI9c/images/wordmark_positive_nopadding.svg?fit=max\u0026auto=format\u0026n=9uQVAt1ClfFJqI9c\u0026q=85\u0026s=2d77f76ffd19a7569d9f4281c2c7d985","dark":"https://mintcdn.com/tilta/9uQVAt1ClfFJqI9c/images/wordmark_negative_nopadding.svg?fit=max\u0026auto=format\u0026n=9uQVAt1ClfFJqI9c\u0026q=85\u0026s=9750c80c39f37d607fc7cc0f9ded89ff"},"favicon":"https://mintcdn.com/tilta/9uQVAt1ClfFJqI9c/favicon.svg?fit=max\u0026auto=format\u0026n=9uQVAt1ClfFJqI9c\u0026q=85\u0026s=d3419a3989bf69708050d87b411d8540","api":{"openapi":"api-reference/openapi.yml","playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["bash","javascript","python","php"]}},"background":{"decoration":"gradient","color":{"light":"#FFFFFF","dark":"#101019"}},"navbar":{"primary":{"type":"button","label":"Book a Demo","href":"https://www.tilta.ai/book-a-demo"}},"footer":{"socials":{"github":"https://github.com/tilta-io","linkedin":"https://www.linkedin.com/company/tilta","website":"https://tilta.ai/"}},"fonts":{"heading":{"family":"Inter"},"body":{"family":"Inter"}},"icons":{"library":"lucide"},"integrations":{"gtm":{"tagId":"GTM-KGGKX2BZ"}},"contextual":{"options":["copy","view","download-spec","mcp","cursor","claude"],"display":"toc"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"tilta","hasAudioNarration":false,"actualSubdomain":"tilta","customDomains":["docs.tilta.ai"],"gitSource":{"type":"github","owner":"tilta-io","repo":"tilta-backend","deployBranch":"docs-release","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"WEB_MCP":{"status":"DISABLED"},"NARRATION":{"status":"DISABLED"}},"buildId":"6afeebaf42e7ae4824d4e79d","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"API Reference","count":69},{"language":"default","tag":"Documentation","count":25},{"language":"default","tag":"Merchants","count":17},{"language":"default","tag":"Invoices","count":10},{"language":"default","tag":"Buyers","count":9},{"language":"default","tag":"Orders","count":8},{"language":"default","tag":"Platform \u0026 Utilities","count":8},{"language":"default","tag":"Contacts \u0026 Persons","count":7},{"language":"default","tag":"Platform \u0026 Reference","count":6},{"language":"default","tag":"Integration","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"brand.css","content":":root{--background-light: 255 255 255;--background-dark: 16 16 25;--gray-50: 250 250 251;--gray-100: 243 243 245;--gray-200: 230 230 233;--gray-300: 211 212 217;--gray-400: 139 139 146;--gray-500: 114 114 121;--gray-600: 93 93 100;--gray-700: 71 71 79;--gray-800: 50 50 58;--gray-900: 32 31 40;--gray-950: 16 16 25}.prose{--tw-prose-links: #7563e4}.prose a.link{color:#7563e4}html.dark .prose{--tw-prose-links: #8a7afe;color:#d3d4d9}html.dark .prose a.link{color:#8a7afe}html.dark #topbar-cta-button .bg-primary-dark{background-color:#8a7afe}html.dark #topbar-cta-button .text-white{color:#101019}.callout[data-callout-type=\"note\"]{background-color:#f4f4ff;border-color:#d7d7ff;color:#5e4dbe}html.dark .callout[data-callout-type=\"note\"]{background-color:#221b4b;border-color:#352a70;color:#d7d7ff}.callout[data-callout-type=\"tip\"]{background-color:#daffe0;border-color:#09e36b;color:#01813a}html.dark .callout[data-callout-type=\"tip\"]{background-color:#1a3520;border-color:#01813a;color:#30bb60}.callout[data-callout-type=\"warning\"]{background-color:#ffeee5;border-color:#ff7e21;color:#b15203}html.dark .callout[data-callout-type=\"warning\"]{background-color:#422616;border-color:#b15203;color:#e58042}.callout[data-callout-type=\"info\"]{background-color:#fafafb;border-color:#e6e6e9;color:#5d5d64}html.dark .callout[data-callout-type=\"info\"]{background-color:#201f28;border-color:#32323a;color:#d3d4d9}.callout[data-callout-type] [data-component-part=\"callout-icon\"],.callout[data-callout-type] svg,.callout[data-callout-type] a{color:inherit}"}]}
{"page":{"pagePath":"api-reference/orders/create-draft-order","slug":"/api-reference/orders/create-draft-order","pageMetadata":{"title":"Create a draft order","sidebarTitle":"Create draft order","description":"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.","keywords":["draft order","hosted checkout","payment term selection"],"openapi":"POST /v1/orders/draft","href":"/api-reference/orders/create-draft-order"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Info,Note}=_components;if(!Info)_missingMdxReference(`Info`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`When you want to delegate the payment term selection and order detail collection to Tilta’s hosted checkout experience, start by creating a draft order. A draft order requires only your identifiers – Tilta’s checkout session handles gathering amounts, line items, and payment term preferences directly from the buyer. Once the buyer completes checkout, the draft order is promoted to a standard order and you receive a webhook notification with the finalized details.`}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`After creating a draft order, call the `,_jsx(_components.a,{href:`/api-reference/orders/checkout-session`,children:`Create Checkout Session`}),` endpoint to generate\nthe hosted checkout URL or JWT token to present to the buyer.`]})}),`\n`,_jsx(Info,{children:_jsxs(_components.p,{children:[`draft orders that are never completed by the buyer will remain in `,_jsx(_components.code,{children:`DRAFT`}),` status. Tilta does not automatically expire Draft\norders – implement your own cleanup logic if needed.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a draft order","sidebarTitle":"Create draft order","description":"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.","keywords":["draft order","hosted checkout","payment term selection"],"openapi":"POST /v1/orders/draft","href":"/api-reference/orders/create-draft-order"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.","summary":"Create a draft order","tags":["Orders"],"security":["99a8ea89-40b0-4412-b0f1-9e0cba9a3344"],"requestBody":"08b3d11d-d5a0-4c53-80db-2e9becbd5744","responses":{"201":"cf0ed47f-9e72-41eb-b6e3-2f6cd177c694","400":"3ffb23e4-a96e-4ff8-90bb-465029275c8b","401":"79b88932-0a59-4dc0-b7ae-cd24b3802589","404":"3589caf8-95ad-411e-9ab4-b43803fa6da7"},"method":"post","type":"path","servers":["0d16876d-c42e-4739-9cb6-74ddf3bb3f66","a8fd5e82-bae4-4987-aed3-5d5342202f75"],"path":"/v1/orders/draft","baseUrlOptions":["https://api.tilta.io","https://api.tilta-sandbox.io"],"title":"Create a draft order","codeSamples":[],"requestExampleLanguages":["bash","javascript","python","php"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"external_id":{"type":"string","maxLength":100,"pattern":"^[a-zA-Z0-9-_]+$","description":"Unique identifier of an order.","isRequired":true,"uniqueKey":"external_id","typeLabel":"string"},"buyer_external_id":{"type":"string","maxLength":100,"pattern":"^[a-zA-Z0-9-_]+$","description":"Unique identifier of a buyer.","isRequired":true,"uniqueKey":"buyer_external_id","typeLabel":"string"},"amount":{"type":"object","properties":{"net":{"type":"integer","minimum":1,"description":"Total net price. As minimum currency unit (e.g cents/pence).","isRequired":true,"uniqueKey":"amount.net","typeLabel":"integer"},"gross":{"type":"integer","minimum":1,"description":"Total gross price. As minimum currency unit (e.g cents/pence).","isRequired":true,"uniqueKey":"amount.gross","typeLabel":"integer"},"currency":{"type":"string","enum":["EUR","GBP","USD","CHF","PLN","CZK","RON","BGN","DKK","HUF","SEK","NOK","JPY","AUD","NZD","CAD"],"description":"ISO 4217 three-letter currency code.","isRequired":true,"uniqueKey":"amount.currency","typeLabel":"enum\u003cstring>"},"tax":{"oneOf":[{"type":"integer","minimum":0,"description":"Total taxes amount. As minimum currency unit (e.g cents/pence).","uniqueKey":"amount.tax.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":0,"description":"Total taxes amount. As minimum currency unit (e.g cents/pence).","uniqueKey":"amount.tax.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount.tax","typeLabel":"integer | null"}},"required":["net","gross","currency"],"isRequired":true,"uniqueKey":"amount","typeLabel":"object"},"merchant_external_id":{"type":"string","maxLength":100,"pattern":"^[a-zA-Z0-9-_]+$","description":"Unique identifier of a merchant. Optional only for Single-merchant platforms.","uniqueKey":"merchant_external_id","typeLabel":"string"},"comment":{"oneOf":[{"type":"string","description":"Additional order comment added below the order summary in related communication with the buyer.","example":"For Daniel without tomatoes","uniqueKey":"comment.oneOf.0","typeLabel":"string"},{"type":"null","description":"Additional order comment added below the order summary in related communication with the buyer.","example":"For Daniel without tomatoes","uniqueKey":"comment.oneOf.1","typeLabel":"null"}],"uniqueKey":"comment","typeLabel":"string | null"},"custom_data":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3.items.[INDEX].oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3.items.[INDEX].oneOf.2","typeLabel":"boolean"}],"uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string | number | boolean"},"uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3","typeLabel":"(string | number | boolean)[]"},{},{"type":"null","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.5","typeLabel":"null"}],"uniqueKey":"custom_data.oneOf.0.additionalProperties","typeLabel":"string | number | boolean | (string | number | boolean)[] | null"},"description":"Free-form metadata for storing integration-specific data alongside this order.","uniqueKey":"custom_data.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3.items.[INDEX].oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3.items.[INDEX].oneOf.2","typeLabel":"boolean"}],"uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string | number | boolean"},"uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3","typeLabel":"(string | number | boolean)[]"},{},{"type":"null","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.5","typeLabel":"null"}],"uniqueKey":"custom_data.oneOf.1.additionalProperties","typeLabel":"string | number | boolean | (string | number | boolean)[] | null"},"description":"Free-form metadata for storing integration-specific data alongside this order.","uniqueKey":"custom_data.oneOf.1","typeLabel":"null"}],"uniqueKey":"custom_data","typeLabel":"object | null"},"line_items":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Item's name.","isRequired":true,"uniqueKey":"line_items.items.[INDEX].name","typeLabel":"string"},"category":{"type":"string","description":"Item's category.","isRequired":true,"uniqueKey":"line_items.items.[INDEX].category","typeLabel":"string"},"price":{"type":"integer","description":"Item's price. As minimum currency unit (e.g cents/pence).","isRequired":true,"uniqueKey":"line_items.items.[INDEX].price","typeLabel":"integer"},"currency":{"type":"string","enum":["EUR","GBP","USD","CHF","PLN","CZK","RON","BGN","DKK","HUF","SEK","NOK","JPY","AUD","NZD","CAD"],"description":"ISO 4217 three-letter currency code.","isRequired":true,"uniqueKey":"line_items.items.[INDEX].currency","typeLabel":"enum\u003cstring>"},"quantity":{"type":"integer","minimum":1,"description":"Number of items in order.","isRequired":true,"uniqueKey":"line_items.items.[INDEX].quantity","typeLabel":"integer"},"description":{"oneOf":[{"type":"string","description":"Item's description.","uniqueKey":"line_items.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Item's description.","uniqueKey":"line_items.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.items.[INDEX].description","typeLabel":"string | null"}},"required":["name","category","price","currency","quantity"],"additionalProperties":false,"uniqueKey":"line_items.items.[INDEX]","typeLabel":"object"},"description":"Order line items. Please do not merge line items but provide them individually to allow for subsequent correlation with invoices.","uniqueKey":"line_items","typeLabel":"object[]"},"contact_email":{"oneOf":[{"type":"string","format":"email","description":"Order-specific contact email address, used if different from the main buyer email. This allows merchants to specify which individual or entity should be contacted about this specific order.","example":"john.doe@example.com","uniqueKey":"contact_email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","format":"email","description":"Order-specific contact email address, used if different from the main buyer email. This allows merchants to specify which individual or entity should be contacted about this specific order.","example":"john.doe@example.com","uniqueKey":"contact_email.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact_email","typeLabel":"string\u003cemail> | null"}},"required":["external_id","buyer_external_id","amount"],"additionalProperties":false,"description":"Order to be created.","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"external_id":"\u003cstring>","buyer_external_id":"\u003cstring>","amount":{"net":2,"gross":2,"tax":1},"merchant_external_id":"\u003cstring>","comment":"For Daniel without tomatoes","custom_data":{},"line_items":[{"name":"\u003cstring>","category":"\u003cstring>","price":123,"quantity":2,"description":"\u003cstring>"}],"contact_email":"john.doe@example.com"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"cf0ed47f-9e72-41eb-b6e3-2f6cd177c694":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"external_id":{"type":"string","maxLength":100,"pattern":"^[a-zA-Z0-9-_]+$","description":"Unique identifier of an order.","isRequired":true,"uniqueKey":"external_id","typeLabel":"string"},"status":{"type":"string","enum":["DRAFT","CANCELLED","CLOSED","PENDING_CONFIRMATION","CONFIRMED","EXPIRED"],"description":"Order status.","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"buyer_external_id":{"type":"string","maxLength":100,"pattern":"^[a-zA-Z0-9-_]+$","description":"Unique identifier of a related buyer.","isRequired":true,"uniqueKey":"buyer_external_id","typeLabel":"string"},"created_at":{"type":"number","description":"Timestamp indicating when the order was created (unix time in seconds).","example":1582896122,"isRequired":true,"uniqueKey":"created_at","typeLabel":"number"},"updated_at":{"type":"number","description":"Timestamp indicating the last time the order was updated (unix time in seconds).","example":1582896122,"isRequired":true,"uniqueKey":"updated_at","typeLabel":"number"},"merchant_external_id":{"type":"string","maxLength":100,"pattern":"^[a-zA-Z0-9-_]+$","description":"Unique identifier of a related merchant.","isRequired":true,"uniqueKey":"merchant_external_id","typeLabel":"string"},"ordered_at":{"type":"integer","description":"Order creation date (unix time in seconds). It cannot be in the future","isRequired":true,"uniqueKey":"ordered_at","typeLabel":"integer"},"payment_method":{"type":"string","enum":["CASH","CARD","TRANSFER","DEBIT"],"description":"The chosen payment method for a respective order. Available payment methods depend on a number of criteria. Check the paymentterms endpoint for available options. May be left empty if the payment method has not been chosen yet.","example":"TRANSFER","isRequired":true,"uniqueKey":"payment_method","typeLabel":"enum\u003cstring>"},"payment_term":{"type":"string","enum":["PREPAYMENT","DEFER_3D","DEFER_7D","DEFER_14D","DEFER_21D","DEFER_30D","DEFER_45D","DEFER_60D","DEFER_75D","DEFER_90D","DEFER_120D","SPLIT_3M","SPLIT_6M"],"description":"The chosen payment term for a respective order. Available payment terms depend on a number of criteria. Check the payment_terms endpoint for available options","example":"DEFER_30D","isRequired":true,"uniqueKey":"payment_term","typeLabel":"enum\u003cstring>"},"amount":{"type":"object","properties":{"net":{"type":"integer","minimum":1,"description":"Total net price. As minimum currency unit (e.g cents/pence).","isRequired":true,"uniqueKey":"amount.net","typeLabel":"integer"},"gross":{"type":"integer","minimum":1,"description":"Total gross price. As minimum currency unit (e.g cents/pence).","isRequired":true,"uniqueKey":"amount.gross","typeLabel":"integer"},"currency":{"type":"string","enum":["EUR","GBP","USD","CHF","PLN","CZK","RON","BGN","DKK","HUF","SEK","NOK","JPY","AUD","NZD","CAD"],"description":"ISO 4217 three-letter currency code.","isRequired":true,"uniqueKey":"amount.currency","typeLabel":"enum\u003cstring>"},"tax":{"oneOf":[{"type":"integer","minimum":0,"description":"Total taxes amount. As minimum currency unit (e.g cents/pence).","uniqueKey":"amount.tax.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":0,"description":"Total taxes amount. As minimum currency unit (e.g cents/pence).","uniqueKey":"amount.tax.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount.tax","typeLabel":"integer | null"}},"required":["net","gross","currency"],"isRequired":true,"uniqueKey":"amount","typeLabel":"object"},"buyer":{"type":"object","properties":{"legal_name":{"type":"string","isRequired":true,"uniqueKey":"buyer.legal_name","typeLabel":"string"}},"required":["legal_name"],"uniqueKey":"buyer","typeLabel":"object"},"comment":{"oneOf":[{"type":"string","description":"Additional order comment added below the order summary in related communication with the buyer.","example":"For Daniel without tomatoes","uniqueKey":"comment.oneOf.0","typeLabel":"string"},{"type":"null","description":"Additional order comment added below the order summary in related communication with the buyer.","example":"For Daniel without tomatoes","uniqueKey":"comment.oneOf.1","typeLabel":"null"}],"uniqueKey":"comment","typeLabel":"string | null"},"delivery_address":{"oneOf":[{"type":"object","properties":{"postcode":{"type":"string","description":"ZIP or postal code.","example":"12345","isRequired":true,"uniqueKey":"delivery_address.oneOf.0.postcode","typeLabel":"string"},"city":{"type":"string","description":"City, district, town, or village.","example":"Berlin","isRequired":true,"uniqueKey":"delivery_address.oneOf.0.city","typeLabel":"string"},"country":{"type":"string","enum":["AF","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","CV","KH","CM","CA","KY","CF","TD","CL","CN","CX","CC","CO","KM","CD","CG","CK","CR","HR","CU","CW","CY","CZ","CI","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","SZ","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MK","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RO","RU","RW","RE","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TM","TC","TV","TR","UG","UA","AE","GB","UM","US","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","AX"],"description":"Two-letter country code (ISO 3166-1 alpha-2).","isRequired":true,"uniqueKey":"delivery_address.oneOf.0.country","typeLabel":"enum\u003cstring>"},"street":{"type":"string","description":"Address line (e.g. street, road, place).","example":"Example Street","uniqueKey":"delivery_address.oneOf.0.street","typeLabel":"string"},"house":{"type":"string","description":"House number or denominator.","example":"42b","uniqueKey":"delivery_address.oneOf.0.house","typeLabel":"string"},"additional":{"oneOf":[{"type":"string","description":"Additional address information (e.g. PO Box, c/o name etc.).","example":"c/o Testimonial","uniqueKey":"delivery_address.oneOf.0.additional.oneOf.0","typeLabel":"string"},{"type":"null","description":"Additional address information (e.g. PO Box, c/o name etc.).","example":"c/o Testimonial","uniqueKey":"delivery_address.oneOf.0.additional.oneOf.1","typeLabel":"null"}],"uniqueKey":"delivery_address.oneOf.0.additional","typeLabel":"string | null"}},"required":["postcode","city","country"],"description":"Delivery or shipping address for orders of goods.","uniqueKey":"delivery_address.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"street":{"type":"string","description":"Address line (e.g. street, road, place).","example":"Example Street"},"house":{"type":"string","description":"House number or denominator.","example":"42b"},"postcode":{"type":"string","description":"ZIP or postal code.","example":"12345"},"city":{"type":"string","description":"City, district, town, or village.","example":"Berlin"},"country":{"type":"string","enum":["AF","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","CV","KH","CM","CA","KY","CF","TD","CL","CN","CX","CC","CO","KM","CD","CG","CK","CR","HR","CU","CW","CY","CZ","CI","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","SZ","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MK","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RO","RU","RW","RE","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TM","TC","TV","TR","UG","UA","AE","GB","UM","US","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","AX"],"description":"Two-letter country code (ISO 3166-1 alpha-2)."},"additional":{"oneOf":[{"type":"string","description":"Additional address information (e.g. PO Box, c/o name etc.).","example":"c/o Testimonial"},{"type":"null","description":"Additional address information (e.g. PO Box, c/o name etc.).","example":"c/o Testimonial"}]}},"required":["postcode","city","country"],"description":"Delivery or shipping address for orders of goods.","uniqueKey":"delivery_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"delivery_address","typeLabel":"object | null"},"custom_data":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3.items.[INDEX].oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3.items.[INDEX].oneOf.2","typeLabel":"boolean"}],"uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string | number | boolean"},"uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.3","typeLabel":"(string | number | boolean)[]"},{},{"type":"null","uniqueKey":"custom_data.oneOf.0.additionalProperties.oneOf.5","typeLabel":"null"}],"uniqueKey":"custom_data.oneOf.0.additionalProperties","typeLabel":"string | number | boolean | (string | number | boolean)[] | null"},"description":"Free-form metadata for storing integration-specific data alongside this order.","uniqueKey":"custom_data.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3.items.[INDEX].oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3.items.[INDEX].oneOf.2","typeLabel":"boolean"}],"uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string | number | boolean"},"uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.3","typeLabel":"(string | number | boolean)[]"},{},{"type":"null","uniqueKey":"custom_data.oneOf.1.additionalProperties.oneOf.5","typeLabel":"null"}],"uniqueKey":"custom_data.oneOf.1.additionalProperties","typeLabel":"string | number | boolean | (string | number | boolean)[] | null"},"description":"Free-form metadata for storing integration-specific data alongside this order.","uniqueKey":"custom_data.oneOf.1","typeLabel":"null"}],"uniqueKey":"custom_data","typeLabel":"object | null"},"line_items":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Item's name.","isRequired":true,"uniqueKey":"line_items.items.[INDEX].name","typeLabel":"string"},"category":{"type":"string","description":"Item's category.","isRequired":true,"uniqueKey":"line_items.items.[INDEX].category","typeLabel":"string"},"price":{"type":"integer","description":"Item's price. As minimum currency unit (e.g cents/pence).","isRequired":true,"uniqueKey":"line_items.items.[INDEX].price","typeLabel":"integer"},"currency":{"type":"string","enum":["EUR","GBP","USD","CHF","PLN","CZK","RON","BGN","DKK","HUF","SEK","NOK","JPY","AUD","NZD","CAD"],"description":"ISO 4217 three-letter currency code.","isRequired":true,"uniqueKey":"line_items.items.[INDEX].currency","typeLabel":"enum\u003cstring>"},"quantity":{"type":"integer","minimum":1,"description":"Number of items in order.","isRequired":true,"uniqueKey":"line_items.items.[INDEX].quantity","typeLabel":"integer"},"description":{"oneOf":[{"type":"string","description":"Item's description.","uniqueKey":"line_items.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Item's description.","uniqueKey":"line_items.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"line_items.items.[INDEX].description","typeLabel":"string | null"}},"required":["name","category","price","currency","quantity"],"additionalProperties":false,"uniqueKey":"line_items.items.[INDEX]","typeLabel":"object"},"description":"Order line items. Please do not merge line items but provide them individually to allow for subsequent correlation with invoices.","uniqueKey":"line_items","typeLabel":"object[]"},"contact_email":{"oneOf":[{"type":"string","format":"email","description":"Order-specific contact email address, used if different from the main buyer email. This allows merchants to specify which individual or entity should be contacted about this specific order.","example":"john.doe@example.com","uniqueKey":"contact_email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","format":"email","description":"Order-specific contact email address, used if different from the main buyer email. This allows merchants to specify which individual or entity should be contacted about this specific order.","example":"john.doe@example.com","uniqueKey":"contact_email.oneOf.1","typeLabel":"null"}],"uniqueKey":"contact_email","typeLabel":"string\u003cemail> | null"}},"required":["external_id","status","buyer_external_id","created_at","updated_at","merchant_external_id","ordered_at","payment_method","payment_term","amount"],"additionalProperties":false,"description":"Order has been successfully created.","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"external_id":"\u003cstring>","status":"DRAFT","buyer_external_id":"\u003cstring>","created_at":1582896122,"updated_at":1582896122,"merchant_external_id":"\u003cstring>","ordered_at":123,"payment_method":"TRANSFER","payment_term":"DEFER_30D","amount":{"net":2,"gross":2,"currency":"EUR","tax":1},"buyer":{"legal_name":"\u003cstring>"},"comment":"For Daniel without tomatoes","delivery_address":{"postcode":"12345","city":"Berlin","country":"AF","street":"Example Street","house":"42b","additional":"c/o Testimonial"},"custom_data":{},"line_items":[{"name":"\u003cstring>","category":"\u003cstring>","price":123,"currency":"EUR","quantity":2,"description":"\u003cstring>"}],"contact_email":"john.doe@example.com"}}},"exampleType":"generated"}},"exampleType":"generated"},"3ffb23e4-a96e-4ff8-90bb-465029275c8b":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"Error code","example":"BAD_REQUEST","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"error":{"type":"string","description":"Error message for debugging purposes","example":"Request validation failed. 1 issue found.","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"issues":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Issue code","example":"INVALID_TYPE","isRequired":true,"uniqueKey":"issues.items.[INDEX].code","typeLabel":"string"},"path":{"type":"string","description":"Issue path starting with body, params, querystring, or headers","example":"body.registered_at","isRequired":true,"uniqueKey":"issues.items.[INDEX].path","typeLabel":"string"},"message":{"type":"string","description":"Issue message for debugging purposes","example":"Invalid type","isRequired":true,"uniqueKey":"issues.items.[INDEX].message","typeLabel":"string"}},"required":["code","path","message"],"uniqueKey":"issues.items.[INDEX]","typeLabel":"object"},"description":"List of issues","example":[{"code":"INVALID_TYPE","path":"body.registered_at","message":"Invalid type"}],"isRequired":true,"uniqueKey":"issues","typeLabel":"object[]"}},"required":["code","error","issues"],"description":"Bad Request, see error message for details.","example":{"code":"BAD_REQUEST","error":"Request validation failed. 1 issue found.","issues":[{"code":"INVALID_TYPE","path":"body.registered_at","message":"Invalid type"}]},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"BAD_REQUEST","error":"Request validation failed. 1 issue found.","issues":[{"code":"INVALID_TYPE","path":"body.registered_at","message":"Invalid type"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"79b88932-0a59-4dc0-b7ae-cd24b3802589":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"Error details.","example":"Unauthorized","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Error code.","example":"UNAUTHORIZED","isRequired":true,"uniqueKey":"code","typeLabel":"string"}},"required":["error","code"],"description":"Unauthorized Request.","example":{"error":"Unauthorized","code":"UNAUTHORIZED"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"Unauthorized","code":"UNAUTHORIZED"}}},"exampleType":"generated"}},"exampleType":"generated"},"3589caf8-95ad-411e-9ab4-b43803fa6da7":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"Error details.","example":"No Entity found","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Error code.","example":"NOT_FOUND","isRequired":true,"uniqueKey":"code","typeLabel":"string"}},"required":["error","code"],"description":"Buyer not found","example":{"error":"No Entity found","code":"NOT_FOUND"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"No Entity found","code":"NOT_FOUND"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"99a8ea89-40b0-4412-b0f1-9e0cba9a3344":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Your Tilta API key, sent as `Bearer \u003ckey>`.","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"0d16876d-c42e-4739-9cb6-74ddf3bb3f66":{"url":"https://api.tilta.io","description":"Tilta Production API"},"a8fd5e82-bae4-4987-aed3-5d5342202f75":{"url":"https://api.tilta-sandbox.io","description":"Tilta Sandbox API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Tilta API key, sent as `Bearer \u003ckey>`.","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Tilta API key, sent as `Bearer \u003ckey>`.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.yml"},"subdomain":"tilta","siteName":"Tilta","title":"Create a draft order - Tilta","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-20T16:12:43.342Z","originalFileLocation":"api-reference/orders/create-draft-order.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Tilta\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a draft order - Tilta\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Tilta\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.tilta.ai/api-reference/orders/create-draft-order\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://tilta.mintlify.site/_mintlify/api/og/v2?division=Orders\u0026amp;title=Create+a+draft+order\u0026amp;description=Create+a+minimal+draft+order+to+initiate+the+hosted+buyer+checkout+flow.+The+buyer+completes+missing+details+during+the+checkout+session.\u0026amp;theme=f3f102f26ce2dce4c4ff02d0\u0026amp;signature=03714672bb2bf570e7cd15c7e563371638a7b5aa4eb7adbccf41c72548c7454e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a draft order - Tilta\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://tilta.mintlify.site/_mintlify/api/og/v2?division=Orders\u0026amp;title=Create+a+draft+order\u0026amp;description=Create+a+minimal+draft+order+to+initiate+the+hosted+buyer+checkout+flow.+The+buyer+completes+missing+details+during+the+checkout+session.\u0026amp;theme=f3f102f26ce2dce4c4ff02d0\u0026amp;signature=03714672bb2bf570e7cd15c7e563371638a7b5aa4eb7adbccf41c72548c7454e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/tilta/_zj8nRvZJCBo9Rnw/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Tilta\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7563E4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.tilta.ai/api-reference/orders/create-draft-order\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/orders/create-draft-order.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.tilta.ai/#organization\",\"name\":\"Tilta\",\"url\":\"https://docs.tilta.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/tilta/9uQVAt1ClfFJqI9c/images/wordmark_positive_nopadding.svg?fit=max\u0026auto=format\u0026n=9uQVAt1ClfFJqI9c\u0026q=85\u0026s=2d77f76ffd19a7569d9f4281c2c7d985\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.tilta.ai#website\",\"name\":\"Tilta\",\"url\":\"https://docs.tilta.ai\",\"publisher\":{\"@id\":\"https://docs.tilta.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.tilta.ai/api-reference/orders/create-draft-order#webpage\",\"url\":\"https://docs.tilta.ai/api-reference/orders/create-draft-order\",\"name\":\"Create a draft order\",\"description\":\"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.\",\"dateModified\":\"2026-09-20T16:12:43.342Z\",\"isPartOf\":{\"@id\":\"https://docs.tilta.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.tilta.ai/api-reference/orders/create-draft-order#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.tilta.ai/api-reference/orders/create-draft-order#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Orders\",\"item\":\"https://docs.tilta.ai/api-reference/orders/create-order\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a draft order\",\"item\":\"https://docs.tilta.ai/api-reference/orders/create-draft-order\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.tilta.ai/api-reference/orders/create-draft-order#apireference\",\"headline\":\"Create a draft order\",\"name\":\"Create a draft order\",\"description\":\"Create a minimal draft order to initiate the hosted buyer checkout flow. The buyer completes missing details during the checkout session.\",\"url\":\"https://docs.tilta.ai/api-reference/orders/create-draft-order\",\"mainEntityOfPage\":{\"@id\":\"https://docs.tilta.ai/api-reference/orders/create-draft-order#webpage\"},\"dateModified\":\"2026-09-20T16:12:43.342Z\",\"keywords\":\"draft order, hosted checkout, payment term selection\",\"publisher\":{\"@id\":\"https://docs.tilta.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.tilta.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Tilta\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Tilta\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/orders/create-draft-order.md","siteName":"Tilta","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/introduction"}]},{"tab":"API Reference","groups":[{"group":"Buyers","pages":[{"title":"Create a buyer","sidebarTitle":"Create buyer","openapi":"POST /v1/buyers","href":"/api-reference/buyers/create-buyer"},{"title":"Retrieve a buyer","sidebarTitle":"Retrieve buyer","openapi":"GET /v1/buyers/{external_id}","href":"/api-reference/buyers/retrieve-buyer"},{"title":"List buyers","sidebarTitle":"List buyers","openapi":"GET /v1/buyers","href":"/api-reference/buyers/list-buyers"},{"title":"Search buyers","sidebarTitle":"Search buyers","openapi":"GET /v1/buyers/search","href":"/api-reference/buyers/search-buyers"},{"title":"Replace a buyer","sidebarTitle":"Replace buyer","openapi":"PUT /v1/buyers/{external_id}","href":"/api-reference/buyers/replace-buyer"},{"title":"Export buyers","sidebarTitle":"Export buyers","openapi":"GET /v1/buyers/export/csv","href":"/api-reference/buyers/export-buyers"},{"title":"Retrieve buyer settings","sidebarTitle":"Retrieve buyer settings","openapi":"GET /v1/buyers/{external_id}/settings","href":"/api-reference/buyers/retrieve-buyer-settings"},{"title":"Replace buyer settings","sidebarTitle":"Replace buyer settings","openapi":"PUT /v1/buyers/{external_id}/settings","href":"/api-reference/buyers/replace-buyer-settings"},{"title":"Create an onboarding session","sidebarTitle":"Onboarding session","openapi":"POST /v1/buyers/{external_id}/sessions/onboarding","href":"/api-reference/buyers/buyer-onboarding-session"}]},{"group":"Credit Facilities","pages":[{"title":"Request a credit facility","sidebarTitle":"Create facility","openapi":"POST /v1/buyers/{external_id}/facility","href":"/api-reference/facilities/create-facility"},{"title":"Retrieve a credit facility","sidebarTitle":"Retrieve facility","openapi":"GET /v1/buyers/{external_id}/facility","href":"/api-reference/facilities/retrieve-facility"},{"title":"List credit facilities","sidebarTitle":"List facilities","openapi":"GET /v1/facilities","href":"/api-reference/facilities/list-facilities"},{"title":"Request a facility increase","sidebarTitle":"Request increase","openapi":"POST /v1/buyers/{external_id}/facility/increase","href":"/api-reference/facilities/request-increase"},{"title":"Request a facility renewal","sidebarTitle":"Request renewal","openapi":"POST /v1/buyers/{external_id}/facility/renew","href":"/api-reference/facilities/request-renewal"}]},{"group":"Orders","pages":[{"title":"Create an order","sidebarTitle":"Create order","description":"Submit a new order to reserve credit from a buyer's credit facility. Returns authorization status and any reasons for non-authorization.","openapi":"POST /v1/orders","href":"/api-reference/orders/create-order"},{"title":"Create a draft order","sidebarTitle":"Create draft order","openapi":"POST /v1/orders/draft","href":"/api-reference/orders/create-draft-order"},{"title":"Retrieve an order","sidebarTitle":"Retrieve order","description":"Fetch the full details of a single order, including its current status, authorization state, line items, amounts, and payment information.","openapi":"GET /v1/orders/{external_id}","href":"/api-reference/orders/retrieve-order"},{"title":"List orders","sidebarTitle":"List orders","openapi":"GET /v1/orders","href":"/api-reference/orders/list-orders"},{"title":"Search orders","sidebarTitle":"Search orders","openapi":"GET /v1/orders/search","href":"/api-reference/orders/search-orders"},{"title":"Replace an order","sidebarTitle":"Replace order","openapi":"PUT /v1/orders/{external_id}","href":"/api-reference/orders/replace-order"},{"title":"Transition an order","sidebarTitle":"Transition order","openapi":"POST /v1/orders/{external_id}/transition","href":"/api-reference/orders/transition-order"},{"title":"Create a checkout session","sidebarTitle":"Checkout session","openapi":"POST /v1/orders/{external_id}/sessions/checkout","href":"/api-reference/orders/checkout-session"}]},{"group":"Invoices","pages":[{"title":"Create an invoice","sidebarTitle":"Create invoice","openapi":"POST /v1/invoices","href":"/api-reference/invoices/create-invoice"},{"title":"Retrieve an invoice","sidebarTitle":"Retrieve invoice","openapi":"GET /v1/invoices/{external_id}","href":"/api-reference/invoices/retrieve-invoice"},{"title":"List invoices","sidebarTitle":"List invoices","openapi":"GET /v1/invoices","href":"/api-reference/invoices/list-invoices"},{"title":"Search invoices","sidebarTitle":"Search invoices","openapi":"GET /v1/invoices/search","href":"/api-reference/invoices/search-invoices"},{"title":"Update an invoice","sidebarTitle":"Update invoice","openapi":"PUT /v1/invoices/{external_id}","href":"/api-reference/invoices/update-invoice"},{"title":"Mark an invoice as paid","sidebarTitle":"Mark paid","openapi":"POST /v1/invoices/{external_id}/paid","href":"/api-reference/invoices/mark-paid"},{"title":"Refund an invoice","sidebarTitle":"Refund invoice","openapi":"POST /v1/invoices/{external_id}/refund","href":"/api-reference/invoices/refund-invoice"},{"title":"Calculate fees","sidebarTitle":"Calculate fees","openapi":"POST /v1/invoices/calculate_fees","href":"/api-reference/invoices/calculate-fees"},{"title":"Upload an invoice file","sidebarTitle":"Upload file","openapi":"POST /v1/invoices/{external_id}/files","href":"/api-reference/invoices/upload-file"},{"title":"Export invoices","sidebarTitle":"Export CSV","openapi":"GET /v1/invoices/export/csv","href":"/api-reference/invoices/export-invoices"}]},{"group":"Merchants","pages":[{"title":"Create a merchant","sidebarTitle":"Create merchant","openapi":"POST /v1/merchants","href":"/api-reference/merchants/create-merchant"},{"title":"Retrieve a merchant","sidebarTitle":"Retrieve merchant","openapi":"GET /v1/merchants/{external_id}","href":"/api-reference/merchants/retrieve-merchant"},{"title":"List merchants","sidebarTitle":"List merchants","openapi":"GET /v1/merchants","href":"/api-reference/merchants/list-merchants"},{"title":"Replace a merchant","sidebarTitle":"Replace merchant","openapi":"PUT /v1/merchants/{external_id}","href":"/api-reference/merchants/replace-merchant"},{"title":"List representatives","sidebarTitle":"List representatives","openapi":"GET /v1/merchants/{external_id}/representatives","href":"/api-reference/merchants/list-representatives"},{"title":"Add a representative","sidebarTitle":"Add representative","openapi":"POST /v1/merchants/{external_id}/representatives","href":"/api-reference/merchants/add-representative"},{"title":"Remove a representative","sidebarTitle":"Remove representative","openapi":"DELETE /v1/merchants/{external_id}/representatives/{person_external_id}","href":"/api-reference/merchants/remove-representative"},{"title":"List owners","sidebarTitle":"List owners","openapi":"GET /v1/merchants/{external_id}/owners","href":"/api-reference/merchants/list-owners"},{"title":"Add an owner","sidebarTitle":"Add owner","openapi":"POST /v1/merchants/{external_id}/owners","href":"/api-reference/merchants/add-owner"},{"title":"Remove an owner","sidebarTitle":"Remove owner","openapi":"DELETE /v1/merchants/{external_id}/owners/{person_external_id}","href":"/api-reference/merchants/remove-owner"},{"title":"List payout instructions","sidebarTitle":"List payout instructions","openapi":"GET /v1/payout_instructions","href":"/api-reference/merchants/list-payout-instructions"},{"title":"Create a payout instruction","sidebarTitle":"Create payout instruction","openapi":"POST /v1/payout_instructions","href":"/api-reference/merchants/create-payout-instruction"},{"title":"Retrieve a payout instruction","sidebarTitle":"Retrieve payout instruction","openapi":"GET /v1/payout_instructions/{external_id}","href":"/api-reference/merchants/retrieve-payout-instruction"},{"title":"Replace a payout instruction","sidebarTitle":"Replace payout instruction","openapi":"PUT /v1/payout_instructions/{external_id}","href":"/api-reference/merchants/replace-payout-instruction"},{"title":"Delete a payout instruction","sidebarTitle":"Delete payout instruction","openapi":"DELETE /v1/payout_instructions/{external_id}","href":"/api-reference/merchants/delete-payout-instruction"},{"title":"List mandates","sidebarTitle":"List mandates","openapi":"GET /v1/merchants/{external_id}/mandates","href":"/api-reference/merchants/list-mandates"},{"title":"Create a mandate","sidebarTitle":"Create mandate","openapi":"POST /v1/merchants/{external_id}/mandates","href":"/api-reference/merchants/create-mandate"}]},{"group":"Contacts \u0026 Persons","pages":[{"title":"Create a contact","sidebarTitle":"Create contact","openapi":"POST /v1/contacts","href":"/api-reference/contacts/create-contact"},{"title":"Retrieve a contact","sidebarTitle":"Retrieve contact","openapi":"GET /v1/contacts/{external_id}","href":"/api-reference/contacts/retrieve-contact"},{"title":"Replace a contact","sidebarTitle":"Replace contact","openapi":"PUT /v1/contacts/{external_id}","href":"/api-reference/contacts/replace-contact"},{"title":"Delete a contact","sidebarTitle":"Delete contact","openapi":"DELETE /v1/contacts/{external_id}","href":"/api-reference/contacts/delete-contact"},{"title":"Create a person","sidebarTitle":"Create person","openapi":"POST /v1/persons","href":"/api-reference/persons/create-person"},{"title":"Retrieve a person","sidebarTitle":"Retrieve person","openapi":"GET /v1/persons/{external_id}","href":"/api-reference/persons/retrieve-person"},{"title":"Replace a person","sidebarTitle":"Replace person","openapi":"PUT /v1/persons/{external_id}","href":"/api-reference/persons/replace-person"}]},{"group":"Webhooks","pages":[{"title":"Create a subscription","sidebarTitle":"Create subscription","openapi":"POST /v1/webhooks","href":"/api-reference/webhooks/create-subscription"},{"title":"List subscriptions","sidebarTitle":"List subscriptions","openapi":"GET /v1/webhooks","href":"/api-reference/webhooks/list-subscriptions"},{"title":"Replace a subscription","sidebarTitle":"Replace subscription","openapi":"PUT /v1/webhooks/{type}","href":"/api-reference/webhooks/replace-subscription"},{"title":"Delete a subscription","sidebarTitle":"Delete subscription","openapi":"POST /v1/webhooks/{type}/unsubscribe","href":"/api-reference/webhooks/delete-subscription"},{"title":"Rotate the signature key","sidebarTitle":"Rotate signature key","openapi":"POST /v1/webhooks/{type}/signature_key","href":"/api-reference/webhooks/rotate-signature-key"}]},{"group":"Platform \u0026 Utilities","pages":[{"title":"Retrieve the platform","sidebarTitle":"Retrieve platform","openapi":"GET /v1/platform","href":"/api-reference/platform/retrieve-platform"},{"title":"Retrieve payment terms","sidebarTitle":"Payment terms","openapi":"GET /v1/platform/payment_terms","href":"/api-reference/platform/payment-terms"},{"title":"Search businesses","sidebarTitle":"Search businesses","openapi":"GET /v1/businesses/search","href":"/api-reference/utilities/search-businesses"},{"title":"List legal forms","sidebarTitle":"Legal forms","openapi":"GET /v1/legal_forms","href":"/api-reference/utilities/legal-forms"},{"title":"Check service requirements","sidebarTitle":"Service requirements","openapi":"GET /v1/invoices/{external_id}/services/{service_type}/requirements","href":"/api-reference/utilities/invoice-service-requirements"},{"title":"Request a service","sidebarTitle":"Request service","openapi":"POST /v1/services","href":"/api-reference/utilities/create-invoice-service"},{"title":"Retrieve a service","sidebarTitle":"Retrieve service","openapi":"GET /v1/services/{external_id}","href":"/api-reference/utilities/retrieve-invoice-service"},{"title":"List services","sidebarTitle":"List services","openapi":"GET /v1/invoices/{external_id}/services","href":"/api-reference/utilities/list-invoice-services"}]}]}]},"basePath":"","title":"Create a draft order - Tilta","deploymentId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","buildId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CiUHMMOm.js","snippetPresets-BgfXU7Bw.js","utils-DWvOwgy_.js","style-to-object-BY3JEAdk.js","utils-BN7RXSMJ.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-CFw8bq89.js","conditional-requirements-CFM0id0Q.js","cloneDeep-CAwdfOU2.js","_Uint8Array-BJr8e-ZL.js","isObject-FP1Yky1u.js","ApiExamples-XX0UgMZK.js","usePlaygroundInputsStore-DXDFSa1V.js","shallow-CdX5aREi.js","isEqual-CoOaxexF.js","CodeSnippets-Cg2wpzWm.js","CodeSnippet-D_HwgQO_.js","getApiPlaygroundDisplay-CmCoerhe.js","Page-CVJ-f_k1.js","DynamicMarkdown-CQM9Bhbv.js","SectionHeading-DpbrP8nQ.js","icon-BPCgijHy.js","MethodPill-GQ8DuY0c.js","getPastedJson-Cb5mT31m.js","Check2Icon-a7bUI6e8.js","axios-CsQoIw0U.js","Markdown-CX2QY19L.js","AssistantPageLink-CY3bFglh.js","dist-Dl6_zDnT.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}